#!/bin/bash
#SBATCH -n 1
#SBATCH -t 24:00:00
#SBATCH -J surf_files 
#SBATCH -o /esarchive/scratch/jacosta/TMP/Create_restoring/slurm-%j.out
#SBATCH -e /esarchive/scratch/jacosta/TMP/Create_restoring/slurm-%j.err

module load NCO
module load CDO

#set -evx 
for member in {0..0}; do
for year in {1962..1975} ; do
cdo sellevidx,1 /esarchive/releases/nudging/ocean/s5/ORCA025L75/fc${member}/s5_fc${member}_${year}.nc /esarchive/scratch/jacosta/TMP/Create_restoring/s5_fc${member}_${year}_surface.nc
done
done

path2=/esarchive/scratch/jacosta/TMP/Create_restoring/
for member in {0..0}; do
path=/esarchive/releases/surface_restoring/ocean/s5/ORCA025L75/fc${member}/
for year in {1967..2017} ; do
cdo select,name=votemper ${path2}/s5_fc${member}_${year}_surface.nc  ${path2}/sst_tmp_${year}.nc
cdo select,name=vosaline  ${path2}/s5_fc${member}_${year}_surface.nc  ${path2}/sss_tmp_${year}.nc
cdo chname,vosaline,so  ${path2}/sss_tmp_${year}.nc  ${path2}/sss_1m_data_${year}_f.nc
cdo chname,votemper,thetao  ${path2}/sst_tmp_${year}.nc  ${path2}/sst_1m_data_${year}_f.nc
#ncrename -O -v deptht,nav_lev  ${path2}/sst_1m_data_${year}_f.nc  ${path2}/sss_1m_data_${year}_f2.nc 
#ncrename -O -v deptht,nav_lev  ${path2}/sss_1m_data_${year}_f.nc  ${path2}/sst_1m_data_${year}_f2.nc
ncwa -a nav_lev  ${path2}/sss_1m_data_${year}_f.nc  ${path}/sss_restore_data_y${year}.nc
ncwa -a nav_lev  ${path2}/sst_1m_data_${year}_f.nc  ${path}/sst_restore_data_y${year}.nc
#rm ${path2}/*.nc
rm ${path2}/ss*_1m_data_*_f*.nc
rm ${path2}/ss*_tmp_*.nc 

done
done