#!/bin/bash
#SBATCH -n 1
#SBATCH -t 12:00:00
#SBATCH -J surf_files 
#SBATCH -o /esarchive/scratch/Earth/vsicardi/slurm-%j.out
#SBATCH -e /esarchive/scratch/Earth/vsicardi/slurm-%j.err


set -evx 
user=jacosta
for member in {0..4}; do
for year in {2018..2018} ; do
cdo sellevidx,1 /esarchive/releases/nudging/ocean/s4/ORCA1L75/fc${member}/s4_fc${member}_${year}.nc /esarchive/scratch/Earth/${user}/surfarce_restoring/s4_fc${member}_${year}_surface.nc
done
done

path=/esarchive/scratch/Earth/${user}/surfarce_restoring
for member in {0..4}; do
path2=/esnas/releases/surface_restoring/ocean/s4/ORCA1L75/fc0${member}/
for year in {2018..2018} ; do
cdo select,name=votemper ${path}/s4_fc${member}_${year}_surface.nc  ${path2}/sst_tmp_${year}.nc
cdo select,name=vosaline  ${path}/s4_fc${member}_${year}_surface.nc  ${path2}/sss_tmp_${year}.nc
cdo chname,vosaline,so  ${path2}/sss_tmp_${year}.nc  ${path2}/sss_1m_data_${year}_f.nc
cdo chname,votemper,thetao  ${path2}/sst_tmp_${year}.nc  ${path2}/sst_1m_data_${year}_f.nc
ncrename -d time,time_counter  ${path2}/sst_1m_data_${year}_f.nc  ${path2}/sst_1m_data_${year}_f2.nc
ncrename -d time,time_counter  ${path2}/sss_1m_data_${year}_f.nc  ${path2}/sss_1m_data_${year}_f2.nc
ncwa -a nav_lev  ${path2}/sss_1m_data_${year}_f2.nc  ${path2}/sss_restore_data_y${year}.nc
ncwa -a nav_lev  ${path2}/sst_1m_data_${year}_f2.nc  ${path2}/sst_restore_data_y${year}.nc
#rm ${path2}/*.nc
rm ${path2}/ss*_1m_data_*_f*.nc
rm ${path2}/ss*_tmp_*.nc

done
done
    